LatLonPoint.Double (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.proj.coords
Class LatLonPoint.Double

    java.lang.Object
      java.awt.geom.Point2D
          com.bbn.openmap.proj.coords.LatLonPoint
              com.bbn.openmap.proj.coords.LatLonPoint.Double

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

Enclosing class:
  LatLonPoint

    public static class LatLonPoint.Double

extends LatLonPoint

Double precision version of LatLonPoint.

Author:
  dietrick
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.bbn.openmap.proj.coords.LatLonPoint
`LatLonPoint.Double, LatLonPoint.Float`

Field Summary
`protected double` | `lat`
`protected double` | `lon`
`protected double` | `radLat`
`protected double` | `radLon`

Fields inherited from class com.bbn.openmap.proj.coords.LatLonPoint
`DATELINE, LON_RANGE, NORTH_POLE, SOUTH_POLE`

Constructor Summary
`LatLonPoint.Double()` Default constructor, values set to 0, 0.
`LatLonPoint.Double(double lat, double lon)` Set the latitude, longitude for this point in decimal degrees.
`LatLonPoint.Double(double lat, double lon, boolean isRadian)` Set the latitude, longitude for this point, with the option of noting whether the values are in degrees or radians.
`LatLonPoint.Double(LatLonPoint llp)` Create Double version from another LatLonPoint.
`LatLonPoint.Double(java.awt.geom.Point2D pt2D)` Create Double version from Point2D object, where the x, y values are expected to be decimal degrees.

Method Summary
`float` | `getLatitude()`
`float` | `getLongitude()`
`LatLonPoint` | `getPoint(double dist, double az)` Find a LatLonPoint a distance and direction away from this point, based on the spherical earth model.
`double` | `getRadLat()`
`double` | `getRadLon()`
`double` | `getX()`
`double` | `getY()`
`void` | `read(java.io.DataInputStream s)` Read object.
`void` | `read(java.io.DataInputStream s, boolean inRadians)` Read object.
`void` | `setLatitude(double lat)` Set latitude.
`void` | `setLatLon(double lat, double lon)` Set latitude and longitude.
`void` | `setLatLon(double lat, double lon, boolean isRadians)` Set latitude and longitude.
`void` | `setLocation(double x, double y)` Point2D method, inheriting signature!!
`void` | `setLongitude(double lon)` Set longitude.
`java.lang.String` | `toString()`
`void` | `write(java.io.DataOutputStream s)` Write object.

Methods inherited from class com.bbn.openmap.proj.coords.LatLonPoint
`azimuth, distance, equals, getDouble, getFloat, isInvalidLatitude, isInvalidLongitude, normalizeLatitude, normalizeLatitude, setLatLon, wrapLongitude, wrapLongitude`

Methods inherited from class java.awt.geom.Point2D
`clone, distance, distance, distance, distanceSq, distanceSq, distanceSq, hashCode, setLocation`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### lat

    protected double lat

### lon

    protected double lon

### radLat

    protected transient double radLat

### radLon

    protected transient double radLon

Constructor Detail

### LatLonPoint.Double

    public LatLonPoint.Double()

  Default constructor, values set to 0, 0.

### LatLonPoint.Double

    public LatLonPoint.Double(double lat,
                              double lon)

  Set the latitude, longitude for this point in decimal degrees.

  Parameters:
    `lat` - latitude
    `lon` - longitude.

### LatLonPoint.Double

    public LatLonPoint.Double(double lat,
                              double lon,
                              boolean isRadian)

  Set the latitude, longitude for this point, with the option of noting whether the values are in degrees or radians.

  Parameters:
    `lat` - latitude
    `lon` - longitude.
    `isRadian` - true of values are radians.

### LatLonPoint.Double

    public LatLonPoint.Double(LatLonPoint llp)

  Create Double version from another LatLonPoint.

  Parameters:
    `llp` -

### LatLonPoint.Double

    public LatLonPoint.Double(java.awt.geom.Point2D pt2D)

  Create Double version from Point2D object, where the x, y values are expected to be decimal degrees.

  Parameters:
    `pt2D` -

Method Detail

### setLocation

    public void setLocation(double x,
                            double y)

  Point2D method, inheriting signature!!

  Specified by:
    `setLocation` in class `java.awt.geom.Point2D`
  Parameters:
    `x` - longitude value in decimal degrees.
    `y` - latitude value in decimal degrees.

### setLatLon

    public void setLatLon(double lat,
                          double lon)

  Set latitude and longitude.

  Specified by:
    `setLatLon` in class `LatLonPoint`
  Parameters:
    `lat` - latitude in decimal degrees.
    `lon` - longitude in decimal degrees.

### setLatLon

    public void setLatLon(double lat,
                          double lon,
                          boolean isRadians)

  Set latitude and longitude.

  Specified by:
    `setLatLon` in class `LatLonPoint`
  Parameters:
    `lat` - latitude.
    `lon` - longitude.
    `isRadians` - true if lat/lon values are radians.

### getX

    public double getX()

  Specified by:
    `getX` in class `java.awt.geom.Point2D`
  Returns:
    longitude in decimal degrees.

### getY

    public double getY()

  Specified by:
    `getY` in class `java.awt.geom.Point2D`
  Returns:
    latitude in decimal degrees.

### getLatitude

    public float getLatitude()

  Specified by:
    `getLatitude` in class `LatLonPoint`
  Returns:
    float latitude in decimal degrees.

### getLongitude

    public float getLongitude()

  Specified by:
    `getLongitude` in class `LatLonPoint`
  Returns:
    float longitude in decimal degrees.

### getRadLon

    public double getRadLon()

  Specified by:
    `getRadLon` in class `LatLonPoint`
  Returns:
    radian longitude.

### getRadLat

    public double getRadLat()

  Specified by:
    `getRadLat` in class `LatLonPoint`
  Returns:
    radian latitude.

### setLatitude

    public void setLatitude(double lat)

  Set latitude.

  Specified by:
    `setLatitude` in class `LatLonPoint`
  Parameters:
    `lat` - latitude in decimal degrees

### setLongitude

    public void setLongitude(double lon)

  Set longitude.

  Specified by:
    `setLongitude` in class `LatLonPoint`
  Parameters:
    `lon` - longitude in decimal degrees

### getPoint

    public LatLonPoint getPoint(double dist,
                                double az)

  Find a LatLonPoint a distance and direction away from this point, based on the spherical earth model.

  Overrides:
    `getPoint` in class `LatLonPoint`
  Parameters:
    `dist` - distance, in radians.
    `az` - radians of azimuth (direction) east of north (-PI <= Az < PI)
  Returns:
    LatLonPoint result

### write

    public void write(java.io.DataOutputStream s)
               throws java.io.IOException

  Write object.

  Parameters:
    `s` - DataOutputStream
  Throws:
    `java.io.IOException`

### read

    public void read(java.io.DataInputStream s)
              throws java.io.IOException

  Read object. Assumes that the floats read off the stream will be in decimal degrees. Latitude read off the stream first, then longitude.

  Parameters:
    `s` - DataInputStream
  Throws:
    `java.io.IOException`

### read

    public void read(java.io.DataInputStream s,
                     boolean inRadians)
              throws java.io.IOException

  Read object. Latitude read off the stream first, then longitude.

  Parameters:
    `s` - DataInputStream
    `inRadians` - if true, the floats read off stream will be considered to be radians. Otherwise, they will be considered to be decimal degrees.
  Throws:
    `java.io.IOException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details